com.microfocus.awm.model

## Interface ITaurusConfigLoader

- All Known Implementing Classes:
    TaurusConfigLoader

      public interface ITaurusConfigLoader

  A class able to load AWM models.

  Not intended to be implemented by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObserver(java.util.Observer pObserver)` Add the given observer to this class; the observer is notified when a new configuration file is loaded.
    `void` | `deleteObserver(java.util.Observer pObserver)` Delete the given observer for this class.
    `TAURUSConfiguration` | `getTaurusConfiguration()` Gets the last loaded AWM model.
    `TAURUSConfiguration` | `loadConfiguration(org.eclipse.emf.common.util.URI pXMLModel, org.eclipse.core.runtime.IProgressMonitor pMon)` Loads the configuration file.

- - ### Method Detail

    - #### getTaurusConfiguration

          TAURUSConfiguration getTaurusConfiguration()

      Gets the last loaded AWM model.
      Returns:
        the last loaded model.

    - #### loadConfiguration

          TAURUSConfiguration loadConfiguration(org.eclipse.emf.common.util.URI pXMLModel,
                                                org.eclipse.core.runtime.IProgressMonitor pMon)
                                         throws TaurusCoreException

      Loads the configuration file.
      Parameters:
        `pXMLModel` - the URI to an AWM XML model
        `pMon` - a progress monitor
      Returns:
        the loaded AWM model
      Throws:
        `TaurusCoreException` -
        - If the URI is not pointing to an AWM model.
        - If the URI target cannot be read.
        - If the target model is invalid or contains XML syntax errors.
        - If the target model is outdated and needs to be converted, but cannot be modified (read-only).

    - #### addObserver

          void addObserver(java.util.Observer pObserver)

      Add the given observer to this class; the observer is notified when a new configuration file is loaded.
      Parameters:
        `pObserver` - observer

    - #### deleteObserver

          void deleteObserver(java.util.Observer pObserver)

      Delete the given observer for this class.
      Parameters:
        `pObserver` - observer

Copyright © 2015 Micro Focus GmbH. All rights reserved.